summaryrefslogtreecommitdiffstats
path: root/tests/rm/i-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/i-1.sh')
-rwxr-xr-xtests/rm/i-1.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/rm/i-1.sh b/tests/rm/i-1.sh
new file mode 100755
index 0000000..00f4200
--- /dev/null
+++ b/tests/rm/i-1.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Test "rm -i".
+
+# Copyright (C) 1997-2022 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ rm
+
+t=t
+mkdir -p $t || framework_failure_
+echo > $t/a || framework_failure_
+test -f $t/a || framework_failure_
+
+echo y > $t/in-y
+echo n > $t/in-n
+
+rm -i $t/a < $t/in-n > /dev/null 2>&1 || fail=1
+# The file should not have been removed.
+test -f $t/a || fail=1
+
+rm -i $t/a < $t/in-y > /dev/null 2>&1 || fail=1
+# The file should have been removed this time.
+test -f $t/a && fail=1
+
+rm -rf $t
+
+Exit $fail